SDL_GetJoystickPlayerIndex(3)

NAME
SDL_GetJoystickPlayerIndex - Get the player index of an opened joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

int SDL_GetJoystickPlayerIndex(SDL_Joystick *joystick);

DESCRIPTION
For XInput controllers this returns the XInput user index. Many joysticks will not be able to supply this information.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick obtained from SDL_OpenJoystick().

RETURN VALUE
Returns the player index, or -1 if it's not available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetJoystickPlayerIndex(3)